package de.ivu.elect.presentation.dashboard.entries;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.wahl.menu.WahlImportMenuItemEntry;

@Specializes
public class CoreWahlDashboardEntry extends WahlDashboardEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlImportMenuItemEntry wahlImportMenuItemEntry;

  @Override
  public List<AbstractMenuItemEntry> getMenuItemsFirst() {
    List<AbstractMenuItemEntry> result = super.getMenuItemsFirst();
    return result;
  }

  @Override
  public List<AbstractMenuItemEntry> getMenuItemsLast() {
    List<AbstractMenuItemEntry> result = super.getMenuItemsLast();
    result.add(wahlImportMenuItemEntry);
    return result;
  }
}
